## twig 1.0.0.0

=== DESCRIPTION ===
Version: 1.0.0.0
Title: For Streamlining Decision and Economic Evaluation Models using
        Grammar of Modeling
Package: twig
URL: https://www.dashlab.ca/, https://hjalal.github.io/twig/,
        https://www.dashlab.ca/projects/decision_twig/
BugReports: https://github.com/hjalal/twig/issues
Maintainer: Hawre Jalal <hjalal@uottawa.ca>
Description: Provides tools for building decision and cost-effectiveness analysis models. It enables users to write these models concisely, simulate outcomes—including probabilistic analyses—efficiently using optimized vectorized processes and parallel computing, and produce results. The package employs a Grammar of Modeling approach, inspired by the Grammar of Graphics, to streamline model construction. For an interactive graphical user interface, see 'DecisionTwig' at <https://www.dashlab.ca/projects/decision_twig/>. Comprehensive tutorials and vignettes are available at <https://hjalal.github.io/twig/>.
License: GPL (>= 3)
Encoding: UTF-8
RoxygenNote: 7.3.2
Imports: ggplot2, parallel, foreach, utils, stats, reshape2, abind,
        doParallel
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
Authors@R: person(given = "Hawre",
                  family = "Jalal",
                  role = c("aut", "cre"),
                  email = "hjalal@uottawa.ca",
                  comment = c(ORCID = "0000-0002-8224-6834"))
NeedsCompilation: no
Packaged: 2025-01-15 12:09:22 UTC; hjalal
Author: Hawre Jalal [aut, cre] (<https://orcid.org/0000-0002-8224-6834>)
Repository: CRAN
Date/Publication: 2025-01-16 10:50:02 UTC

## twig 1.16.2

=== debian/changelog ===
twig (1.16.2-1+deb8u1) jessie-security; urgency=high

  * gbp: Track the Jessie branch
  * Backport security fixes from 1.20.0
    - forbid access to the Twig environment from templates
      and internal parts of Twig_Template
    - fixed limited RCEs when in sandbox mode

 -- Daniel Beyer <dabe@deb.ymc.ch>  Thu, 20 Aug 2015 11:37:24 +0200

twig (1.16.2-1) unstable; urgency=low

  * New upstream version.
  * Improve handling of Vcs-Git:
    - Introduced a new branch 'master' in Vcs-Git, which is based upon
      upstream's git repository and adds the Debian packaging on top.
    - Dropped 'debian-sid' and 'upstream-sid' branches in favour of the
      new and more common branches 'master' and 'upstream' in Vcs-Git.
    - Simplifyied git-buildpackage configuration found in debian/gbp.conf.
    - Added instructions how to update the package to a new upstream
      release in debian/README.source.
  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Add automatic as-installed package testing (DEP-8).
  * Update address of upstream's VCS.

 -- Daniel Beyer <dabe@deb.ymc.ch>  Tue, 21 Oct 2014 08:14:27 +0200

twig (1.16.0-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Beyer <dabe@deb.ymc.ch>  Wed, 30 Jul 2014 17:19:24 +0200

twig (1.15.1-1) unstable; urgency=low

  * Initial release. (Closes: #645883)

 -- Daniel Beyer <dabe@deb.ymc.ch>  Wed, 23 Apr 2014 19:36:55 +0200

=== debian/control ===
Source: twig
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Daniel Beyer <dabe@deb.ymc.ch>
Section: php
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
               php5-dev,
               phpunit,
               pkg-php-tools (>= 1.7~),
               python-sphinx,
               re2c
Homepage: http://twig.sensiolabs.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/twig.git
Vcs-Git: git://anonscm.debian.org/pkg-php/twig.git

Package: php-twig
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-require}
Recommends: php5-twig
Suggests: php-twig-doc
Description: Flexible, fast, and secure template engine for php
 Twig is a fast, secure and flexible template engine for php, implementing an
 own domain specific language which originated from Jinja and Django templates.
 It optionally can make use of a php5 extension, that enhances its performance.

Package: php-twig-doc
Section: doc
Architecture: all
Depends: libjs-sphinxdoc,
         ${misc:Depends}
Description: Twig template engine documentation
 This documentation describes the internals of Twig and the use of
 it from the perspective of a template designer as well as from the
 perspective of a developer.
 .
 Twig itself is a flexible, fast and secure template engine for php.

Package: php5-twig
Architecture: any
Depends: php-twig,
         ${misc:Depends},
         ${php:Depends},
         ${shlibs:Depends}
Description: Enhance performance of the Twig template engine
 This php extension written in C enhances the performance of the Twig runtime
 engine and therefore neither replaces the PHP code of Twig nor meant to be
 used without it.
 .
 Twig itself is a flexible, fast and secure template engine for php.

=== debian/rules ===
#!/usr/bin/make -f

TWIG_RELEASE_VERSION := $(shell dpkg-parsechangelog | grep -E -e '^Version:' | sed -r 's/^[^:]+: (.*)-[^-]+$$/\1/')
TWIG_VERSION := $(shell echo $(TWIG_RELEASE_VERSION) | sed -r 's/^([0-9]+\.[0-9]+).*/\1/')

%:
	dh $@ --with phpcomposer

override_dh_auto_clean:
	cd ext/twig && \
	 if which phpize 1>/dev/null; then \
	  phpize --clean; \
	 fi
	rm -f ext/twig/tmp-php.ini
	rm -rf debian/build-tmp/php-twig-doc
	rmdir debian/build-tmp || true

override_dh_auto_configure:
	cd ext/twig && \
	 phpize && \
	 ./configure

override_dh_auto_build:
	cd ext/twig && \
	 make
	sphinx-build -C \
	 -b html \
	 -D source_suffix='.rst' \
	 -D master_doc='index' \
	 -D project='php-twig-doc' \
	 -D copyright='by the Twig Team' \
	 -D version='${TWIG_VERSION}' \
	 -D release='${TWIG_RELEASE_VERSION}' \
	 -D pygments_style='sphinx' \
	 -D html_theme='default' \
	 doc debian/build-tmp/php-twig-doc
	set -e; \
	 for embedded_js_lib in \
	  doctools \
	  jquery \
	  searchtools \
	  sidebar \
	  underscore; \
	 do \
	  rm -f debian/build-tmp/php-twig-doc/_static/$$embedded_js_lib.js; \
	  ln -s /usr/share/javascript/sphinxdoc/1.0/$$embedded_js_lib.js \
	   debian/build-tmp/php-twig-doc/_static/$$embedded_js_lib.js; \
	 done
	rm -f debian/build-tmp/php-twig-doc/genindex.html
	ln -s /usr/share/doc/php-twig-doc/manual/index.html debian/build-tmp/php-twig-doc/genindex.html

override_dh_auto_test:
	cd ext/twig && \
	 make test
	phpunit

override_dh_install-indep:
	dh_install --fail-missing --package=php-twig lib/Twig usr/share/php/
	rm -f debian/php-twig/usr/share/php/Twig/Test/*.php
	rmdir debian/php-twig/usr/share/php/Twig/Test
	dh_install --fail-missing --package=php-twig-doc debian/build-tmp/php-twig-doc/* usr/share/doc/php-twig-doc/manual/

override_dh_install-arch:
	cd ext/twig && \
	 make install INSTALL_ROOT=../../debian/php5-twig
	echo "php:Depends=phpapi-`php-config5 --phpapi`" >> debian/php5-twig.substvars
	dh_install --fail-missing

=== debian/tests/control ===
Tests: phpunit
Restrictions: rw-build-tree
Depends: @,
         patch,
         php5-dev,
         phpunit

## twig 1.18.1

=== debian/changelog ===
twig (1.18.1-1) unstable; urgency=medium

  * Team upload, as needed by symfony

  [ Fabien Potencier ]
  * prepared the 1.18.1 release

  [ Julien Pauli ]
  * Fixed memory leaks

  [ David Prévot ]
  * Provide homemade static autoload.php
  * Review copyright
  * Use dh-php5 instead of homemade handling
  * Use dh_sphinxdoc instead of homemade handling
  * Actually install Test for Twig

 -- David Prévot <taffit@debian.org>  Mon, 18 May 2015 23:11:02 -0400

## twig 1.20.0

=== debian/changelog ===
twig (1.20.0-1) unstable; urgency=low

  * New upstream version:
    - Fixes issues with volatile tests during build time (Closes: #795950)
    - Forbid access to the Twig environment from templates and internal
      parts of Twig_Template
    - Fixes limited remote code execution when in sandbox mode

 -- Daniel Beyer <dabe@deb.ymc.ch>  Sun, 16 Aug 2015 16:09:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Priority: optional
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9),
+               dh-php5,
                php5-dev,
+               phpab,
                phpunit,
                pkg-php-tools (>= 1.7~),
                python-sphinx,
@@ -28,8 +30,7 @@
 Package: php-twig-doc
 Section: doc
 Architecture: all
-Depends: libjs-sphinxdoc,
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Twig template engine documentation
  This documentation describes the internals of Twig and the use of
  it from the perspective of a template designer as well as from the
@@ -41,7 +42,6 @@
 Architecture: any
 Depends: php-twig,
          ${misc:Depends},
-         ${php:Depends},
          ${shlibs:Depends}
 Description: Enhance performance of the Twig template engine
  This php extension written in C enhances the performance of the Twig runtime

=== debian/rules ===
#!/usr/bin/make -f

TWIG_RELEASE_VERSION := $(shell dpkg-parsechangelog | grep -E -e '^Version:' | sed -r 's/^[^:]+: (.*)-[^-]+$$/\1/')
TWIG_VERSION := $(shell echo $(TWIG_RELEASE_VERSION) | sed -r 's/^([0-9]+\.[0-9]+).*/\1/')

%:
	dh $@ --with phpcomposer,php5,sphinxdoc --fail-missing

override_dh_auto_clean-arch:
	dh_auto_clean -O--sourcedirectory=ext/twig
	cd ext/twig && \
		phpize --clean

override_dh_auto_clean-indep:
	rm -rf debian/build-tmp/php-twig-doc
	rmdir debian/build-tmp || true

override_dh_auto_configure-arch:
	cd ext/twig && \
		phpize
	 dh_auto_configure -O--sourcedirectory=ext/twig

override_dh_auto_build-arch:
	dh_auto_build -O--sourcedirectory=ext/twig

override_dh_auto_build-indep:
	sphinx-build -C \
	 -b html \
	 -D source_suffix='.rst' \
	 -D master_doc='index' \
	 -D project='php-twig-doc' \
	 -D copyright='by the Twig Team' \
	 -D version='${TWIG_VERSION}' \
	 -D release='${TWIG_RELEASE_VERSION}' \
	 -D pygments_style='sphinx' \
	 -D html_theme='default' \
	 doc debian/build-tmp/php-twig-doc
	phpab --output lib/Twig/autoload.php lib/Twig

override_dh_auto_test-arch:
	dh_auto_test -O--sourcedirectory=ext/twig

override_dh_auto_test-indep:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit
else
	@echo "** tests disabled"
endif

override_dh_auto_install-arch:
	dh_auto_install \
		-O--sourcedirectory=ext/twig \
		-- INSTALL_ROOT=$(CURDIR)/debian/php5-twig

## twig 1.23.1

=== debian/changelog ===
twig (1.23.1-1ubuntu4) xenial; urgency=medium

  * Add php-mbstring as build-dep and tests dep (LP: #1544276).
  * Run known segfaulting Twig tests in a separate process as a
    short-term workaround for:
    https://bugs.exim.org/show_bug.cgi?id=1803 /
    https://bugs.php.net/bug.php?id=71659.
  * Drop: Add php-xml as build-dep and tests dep, as the version of
    phpunit specified depends on php-xml.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 24 Feb 2016 11:40:43 -0800

twig (1.23.1-1ubuntu3) xenial; urgency=medium

  * Add php-xml as build-dep and tests dep (LP: #1544276).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 24 Feb 2016 10:04:12 -0800

twig (1.23.1-1ubuntu2) xenial; urgency=medium

  * Update to PHP7.0 dependencies
  * Remove php5 C extension: https://github.com/twigphp/Twig/issues/1695
  * d/: Add nocheck and stage1 build profiles
  * LP: #1544276.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 10 Feb 2016 11:49:30 -0800

twig (1.23.1-1ubuntu1) xenial; urgency=medium

  * Build-depend on language-pack-fr-base instead of locales-all.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Nov 2015 22:43:25 -0500

twig (1.23.1-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * prepared the 1.23.1 release

  [ Daniel Beyer ]
  * Support composer style autoloading for build time tests
  * Support composer style autoloading for DEP-8 (as-installed) tests
  * Drop DEP-8 patch (no longer needed)
    - Use-installed-class-for-DEP-8-tests.patch

  [ David Prévot ]
  * Overwrite bootstrap to simplify PHPUnit calls
  * Use locales-all to run all tests

 -- Daniel Beyer <dabe@deb.ymc.ch>  Sun, 15 Nov 2015 18:14:59 +0100

=== debian/control ===
Source: twig
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Daniel Beyer <dabe@deb.ymc.ch>
Section: php
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
               dh-php,
               language-pack-fr-base,
               php-dev,
               php-mbstring,
               phpab,
               phpunit <!nocheck !stage1>,
               pkg-php-tools (>= 1.32~),
               python-sphinx,
               re2c
Homepage: http://twig.sensiolabs.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/twig.git
Vcs-Git: git://anonscm.debian.org/pkg-php/twig.git

Package: php-twig
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: php-twig-doc
Description: Flexible, fast, and secure template engine for php
 Twig is a fast, secure and flexible template engine for php, implementing an
 own domain specific language which originated from Jinja and Django templates.

Package: php-twig-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Twig template engine documentation
 This documentation describes the internals of Twig and the use of
 it from the perspective of a template designer as well as from the
 perspective of a developer.
 .
 Twig itself is a flexible, fast and secure template engine for php.

=== debian/rules ===
#!/usr/bin/make -f

TWIG_RELEASE_VERSION := $(shell dpkg-parsechangelog | grep -E -e '^Version:' | sed -r 's/^[^:]+: (.*)-[^-]+$$/\1/')
TWIG_VERSION := $(shell echo $(TWIG_RELEASE_VERSION) | sed -r 's/^([0-9]+\.[0-9]+).*/\1/')

%:
	dh $@ --with phpcomposer,php,sphinxdoc --fail-missing

override_dh_auto_clean-indep:
	rm -rf vendor
	rm -rf debian/build-tmp/php-twig-doc
	rmdir debian/build-tmp || true

override_dh_auto_build-indep:
	sphinx-build -C \
	 -b html \
	 -D source_suffix='.rst' \
	 -D master_doc='index' \
	 -D project='php-twig-doc' \
	 -D copyright='by the Twig Team' \
	 -D version='${TWIG_VERSION}' \
	 -D release='${TWIG_RELEASE_VERSION}' \
	 -D pygments_style='sphinx' \
	 -D html_theme='default' \
	 doc debian/build-tmp/php-twig-doc
	phpab --output lib/Twig/autoload.php lib/Twig

override_dh_auto_test-indep:
ifeq (,$(filter nocheck stage1, $(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	phpunit --bootstrap lib/Twig/autoload.php
else
	@echo "** tests disabled"
endif

=== debian/tests/control ===
Test-Command: phpunit --bootstrap /usr/share/php/Twig/autoload.php
Depends: @,
         locales-all,
         patch,
         php-dev,
         php-mbstring,
         phpunit

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/Twig-$1.tar.gz/ \
  https://github.com/twigphp/Twig/tags .*/v?(\d[\d\.]+)\.tar\.gz

## twig 1.24.0

=== debian/changelog ===
twig (1.24.0-2+deb9u1) stretch-security; urgency=medium

  * Team upload
  * Stick to v1 for stretch
  * Backport fix from 1.38: security issue in the sandbox [CVE-2019-9942]

 -- David Prévot <taffit@debian.org>  Tue, 12 Mar 2019 16:08:53 -1000

twig (1.24.0-2) unstable; urgency=medium

  [ Ondřej Surý ]
  * Finish the transition to PHP 7.0
  * Disable building PHP extension until it's rewritten
    for PHP 7.0 (Closes: #821630)

  [ Daniel Beyer ]
  * No longer mention the removed twig PHP C extension in README.Debian

 -- Daniel Beyer <dabe@deb.ymc.ch>  Fri, 22 Apr 2016 14:13:35 +0200

twig (1.24.0-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * prepared the 1.24.0 release

  [ Daniel Beyer ]
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Update d/copyright (years, people)
  * PHP 7 transition:
    - No longer recommend (but suggest) php5-twig for php-twig
    - Add dependencies (build and runtime) against php-mbstring
    - Run build tests with PHP 5 and PHP 7
    - Run DEP-8 (as-installed) tests for PHP 7 and PHP 5

 -- Daniel Beyer <dabe@deb.ymc.ch>  Wed, 30 Mar 2016 05:47:53 +0200

=== debian/control ===
Source: twig
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Daniel Beyer <dabe@deb.ymc.ch>
Section: php
Priority: optional
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9),
               locales-all,
               php-cli,
               php-mbstring,
               phpab,
               phpunit,
               pkg-php-tools (>= 1.33~),
               python-sphinx,
               re2c
Homepage: http://twig.sensiolabs.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/twig.git
Vcs-Git: git://anonscm.debian.org/pkg-php/twig.git

Package: php-twig
Architecture: all
Depends: php-mbstring,
         ${misc:Depends},
         ${shlibs:Depends}
         ${phpcomposer:Debian-require}
Breaks: php5-twig (<< 1.24.0-2~)
Replaces: php5-twig (<< 1.24.0-2~)
Suggests: php-twig-doc
Description: Flexible, fast, and secure template engine for PHP
 Twig is a fast, secure and flexible template engine for php, implementing an
 own domain specific language which originated from Jinja and Django templates.

Package: php-twig-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Twig template engine documentation
 This documentation describes the internals of Twig and the use of
 it from the perspective of a template designer as well as from the
 perspective of a developer.
 .
 Twig itself is a flexible, fast and secure template engine for PHP.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 TWIG_VERSION := $(shell echo $(TWIG_RELEASE_VERSION) | sed -r 's/^([0-9]+\.[0-9]+).*/\1/')
 
 %:
-	dh $@ --with phpcomposer,php,sphinxdoc --fail-missing
+	dh $@ --with phpcomposer,sphinxdoc --fail-missing
 
 override_dh_auto_clean-indep:
 	rm -rf vendor
@@ -26,8 +26,7 @@
 	phpab --output lib/Twig/autoload.php lib/Twig
 
 override_dh_auto_test-indep:
-ifeq (,$(filter nocheck stage1, $(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	phpunit --bootstrap lib/Twig/autoload.php
-else
-	@echo "** tests disabled"
+	php -f $$(which phpunit) -- --bootstrap lib/Twig/autoload.php
 endif

=== debian/tests/control ===
Test-Command: phpunit --bootstrap /usr/share/php/Twig/autoload.php
Depends: @,
         locales-all,
         phpunit

Test-Command: php -f $(which phpunit) -- --bootstrap /usr/share/php/Twig/autoload.php
Depends: @,
         locales-all,
         php-cli,
         php-dev,
         phpunit

## twig 2.4.4

=== debian/changelog ===
twig (2.4.4-2ubuntu1) bionic; urgency=medium

  * d/t/control: phpab is needed to run tests. 

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 07 Feb 2018 09:13:02 -0800

twig (2.4.4-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable in sync with symfony
  * Update needed build-dependencies for the tests (Closes: #882941)

 -- David Prévot <taffit@debian.org>  Thu, 30 Nov 2017 14:37:17 -1000

twig (2.4.4-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.4.4 release

  [ David Prévot ]
  * Update Standards-Version to 4.1.1
  * Update CI call
  * Build-Depend on python3-sphinx instead of python-sphinx

 -- David Prévot <taffit@debian.org>  Fri, 20 Oct 2017 11:20:18 -1000

twig (2.4.3-1) experimental; urgency=medium

  * Team upload to experimental, for symfony 3.3

  [ Fabien Potencier ]
  * prepared the 2.4.3 release

  [ David Prévot ]
  * d/control: Add a trivial get-orig-source target
  * Update copyright
  * Drop references to packages not part of stable
  * Don’t depend on php-symfony-polyfill-mbstring
  * Install psr-4 classes in Twig/psr-4
  * d/rules: drop now useless -indep suffix
  * Drop double phpunit test call
  * Install documentation in /usr/share/doc/php-twig
  * Update Standards-Version to 4.1.0
  * Drop mention of Twig/Autoloader.php removed upstream

 -- David Prévot <taffit@debian.org>  Tue, 29 Aug 2017 18:30:18 -1000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: twig
-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>
 Section: php
 Priority: optional
-Standards-Version: 3.9.7
+Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 9),
                locales-all,
                php-cli,
                php-mbstring,
+               php-psr-container,
+               php-symfony-phpunit-bridge (>= 3.3),
                phpab,
                phpunit,
                pkg-php-tools (>= 1.33~),
-               python-sphinx,
+               python3-sphinx,
                re2c
 Homepage: http://twig.sensiolabs.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/twig.git
@@ -21,10 +24,7 @@
 Architecture: all
 Depends: php-mbstring,
          ${misc:Depends},
-         ${shlibs:Depends}
          ${phpcomposer:Debian-require}
-Breaks: php5-twig (<< 1.24.0-2~)
-Replaces: php5-twig (<< 1.24.0-2~)
 Suggests: php-twig-doc
 Description: Flexible, fast, and secure template engine for PHP
  Twig is a fast, secure and flexible template engine for php, implementing an

=== debian/tests/control ===
Test-Command: mkdir --parents vendor && phpab --output vendor/autoload.php --template debian/autoload.ci.php.tpl test/ && phpunit
Depends: @,
         locales-all,
         php-psr-container,
         php-symfony-phpunit-bridge (>= 3.3),
         phpunit,
         phpab

## twig 2.4.6

=== debian/changelog ===
twig (2.4.6-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.4.6 release

  [ David Prévot ]
  * Add missing dependency for ci (Closes: #889833)
  * Update copyright (years)
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3

  [ Miguel Piedrafita ]
  * Update license year

 -- David Prévot <taffit@debian.org>  Tue, 06 Mar 2018 22:00:33 -1000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: twig
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>
 Section: php
 Priority: optional
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Build-Depends: debhelper (>= 9),
                locales-all,
                php-cli,
@@ -17,8 +16,8 @@
                python3-sphinx,
                re2c
 Homepage: http://twig.sensiolabs.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/twig.git
-Vcs-Git: git://anonscm.debian.org/pkg-php/twig.git
+Vcs-Browser: https://salsa.debian.org/php-team/pear/twig
+Vcs-Git: https://salsa.debian.org/php-team/pear/twig.git
 
 Package: php-twig
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,10 @@
 %:
 	dh $@ --with phpcomposer,sphinxdoc --fail-missing
 
-override_dh_auto_clean-indep:
-	rm -rf vendor
-	rm -rf debian/build-tmp/php-twig-doc
-	rmdir debian/build-tmp || true
+override_dh_auto_clean:
+	rm -rf debian/build-tmp lib/Twig/psr-4 vendor
 
-override_dh_auto_build-indep:
+override_dh_auto_build:
 	sphinx-build -C \
 	 -b html \
 	 -D source_suffix='.rst' \
@@ -23,10 +21,17 @@
 	 -D pygments_style='sphinx' \
 	 -D html_theme='default' \
 	 doc debian/build-tmp/php-twig-doc
+	cp -a src lib/Twig/psr-4
 	phpab --output lib/Twig/autoload.php lib/Twig
+	mkdir --parents vendor
+	phpab 	--output vendor/autoload.php \
+		--template debian/autoload.tests.php.tpl \
+		test
 
-override_dh_auto_test-indep:
+override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	phpunit --bootstrap lib/Twig/autoload.php
-	php -f $$(which phpunit) -- --bootstrap lib/Twig/autoload.php
+	phpunit
 endif
+
+get-orig-source:
+	uscan --verbose --rename --force

## twig 2.4.8

=== debian/changelog ===
twig (2.4.8-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.4.8 release

  [ David Prévot ]
  * Update Standards-Version to 4.1.4

 -- David Prévot <taffit@debian.org>  Sat, 28 Apr 2018 17:01:39 -1000

twig (2.4.7-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.4.7 release

 -- David Prévot <taffit@debian.org>  Fri, 30 Mar 2018 12:32:10 -1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>
 Section: php
 Priority: optional
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 9),
                locales-all,
                php-cli,

## twig 2.5.0

=== debian/changelog ===
twig (2.5.0-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * fixed website URL
  * added the Symfony ctype polyfill as a dependency
  * prepared the 2.5.0 release

  [ David Prévot ]
  * Update Homepage URL
  * Update Standards-Version to 4.1.5
  * Depend on php-ctype instead of php-symfony-polyfill-ctype

 -- David Prévot <taffit@debian.org>  Sun, 15 Jul 2018 20:55:09 +1200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>
 Section: php
 Priority: optional
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Build-Depends: debhelper (>= 9),
                locales-all,
                php-cli,
@@ -15,13 +15,14 @@
                pkg-php-tools (>= 1.33~),
                python3-sphinx,
                re2c
-Homepage: http://twig.sensiolabs.org/
+Homepage: https://twig.symfony.com
 Vcs-Browser: https://salsa.debian.org/php-team/pear/twig
 Vcs-Git: https://salsa.debian.org/php-team/pear/twig.git
 
 Package: php-twig
 Architecture: all
 Depends: php-mbstring,
+         php-ctype,
          ${misc:Depends},
          ${phpcomposer:Debian-require}
 Suggests: php-twig-doc

## twig 2.6.0

=== debian/changelog ===
twig (2.6.0-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.6.0 release

  [ David Prévot ]
  * Use debhelper-compat 11
  * Drop get-orig-source target
  * Use https in debian/
  * Use debian/clean for directories
  * Update Standards-Version to 4.2.1

 -- David Prévot <taffit@debian.org>  Wed, 19 Dec 2018 08:10:27 +1100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>
 Section: php
 Priority: optional
-Standards-Version: 4.1.5
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 11),
                locales-all,
                php-cli,
                php-mbstring,

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 
 %:
 	dh $@ --with phpcomposer,sphinxdoc --fail-missing
-
-override_dh_auto_clean:
-	rm -rf debian/build-tmp lib/Twig/psr-4 vendor
 
 override_dh_auto_build:
 	sphinx-build -C \
@@ -32,6 +29,3 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	phpunit
 endif
-
-get-orig-source:
-	uscan --verbose --rename --force

## twig 2.6.2

=== debian/changelog ===
twig (2.6.2-2+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the LTS security team.
  * CVE-2022-39261: Prevent an arbitrary file read vulnerability that was
    caused by insufficient validation of template names in 'source' and
    'include' statements. (Closes: #1020991)
  * Add debian/.gitlab-ci.yml

 -- Chris Lamb <lamby@debian.org>  Tue, 11 Oct 2022 08:03:36 -0700

twig (2.6.2-2) unstable; urgency=medium

  * Team upload
  * Stick to 2.6 for buster
  * Backport fix from 2.7: security issue in the sandbox

 -- David Prévot <taffit@debian.org>  Tue, 12 Mar 2019 10:35:44 -1000

twig (2.6.2-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.6.2 release

  [ David Prévot ]
  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Wed, 16 Jan 2019 06:09:02 -1000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>
 Section: php
 Priority: optional
-Standards-Version: 4.2.1
-Build-Depends: debhelper-compat (= 11),
+Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
                locales-all,
                php-cli,
                php-mbstring,

=== debian/tests/control ===
--- 
+++ 
@@ -3,5 +3,5 @@
          locales-all,
          php-psr-container,
          php-symfony-phpunit-bridge (>= 3.3),
-         phpunit,
-         phpab
+         phpab,
+         phpunit
